PHP Manual
Prev |  | Next

# PharFileInfo->getPharFlags

(no version information, might be only in CVS)

PharFileInfo->getPharFlags -- Returns the Phar file entry flags

## Description

int PharFileInfo->getPharFlags ( void )

This returns the flags set in the manifest for a Phar. This will always return `0` in the current implementation.

## Return Values

The Phar flags (always `0` in the current implementation)

## Examples

Example 1. A PharFileInfo->getPharFlags() example

`<?php try { $p = new Phar('/path/to/my.phar', 0, 'my.phar'); $p['myfile.txt'] = 'hi'; $file = $p['myfile.txt']; var_dump($file->getPharFlags()); } catch (Exception $e) { echo 'Could not create/modify my.phar: ', $e; } ?>`

The above example will output:

    int(0)

Prev | Home | Next
PharFileInfo->getMetaData | Up | PharFileInfo->isCompressed